hey guys i have a 1.1.2 otb iphone that i unlocked via the installer that iclarified released a few weeks ago. now that 1.1.4 is out i think that its time i update. i think my bootloader is still 4.6 because i have not run ziphone. now i read that for future unlocking purposes, 3.9 is the best way to go. so how do i do that?i am on a mac. do i just do a 1.1.4 restore through itunes, and then run ziphone to jailbreak, unlock, and downgrade my baseband? do i need to go to 1.1.3 first? or can i just jump straight from 1.1.2 to 1.1.4? thanks, your help will be greatly appreciated.